Description

Some users report authorization failed error for Orangutan.

This is not a bug in Orangutan. This is a bug in Net::XMPP or Authen::SASL::Cyrus. However I believe we can find a workaround...

At least we should try to.

One of users (David) said that he solved the issue by removing libauthen-sasl-cyrus-perl and installing libdigest-hmac-perl. However

another user claims it did not help...

Here are logs from this user (Martin):

unfortunately we don’t have LDAP and also the perl jabber library does not seam to authentificate correctly (there are some

manual patches around on Internet, but don’t work for me) ...

 

not even simple Perl scripts work with jabber for me 

uninstaller libauthen-sasl-cyrus.perl, it does not help

 

Without both libs:

11.01.23 14:42:37 loaded 82 contexts

11.01.23 14:42:37 loaded 1 monkeys

11.01.23 14:42:37 Can't locate Authen/SASL/Cyrus.pm in @INC (@INC contains: /etc/perl /usr/local/l

ib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /us

r/share/perl/5.10 /usr/local/lib/site_perl .) at (eval 23) line 3.

11.01.23 14:42:37 Can't locate Digest/HMAC_MD5.pm in @INC (@INC contains: /etc/perl /usr/local/lib

/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/

share/perl/5.10 /usr/local/lib/site_perl .) at /usr/share/perl5/Authen/SASL/Perl/DIGEST_MD5.pm lin

e 12.

11.01.23 14:42:37 Can't locate Digest/HMAC_MD5.pm in @INC (@INC contains: /etc/perl /usr/local/lib

/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/

share/perl/5.10 /usr/local/lib/site_perl .) at /usr/share/perl5/Authen/SASL/Perl/DIGEST_MD5.pm lin

e 12.\nBEGIN failed--compilation aborted at /usr/share/perl5/Authen/SASL/Perl/DIGEST_MD5.pm line 1

2.

11.01.23 14:42:37 Can't locate Digest/HMAC_MD5.pm in @INC (@INC contains: /etc/perl /usr/local/lib

/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /usr/

share/perl/5.10 /usr/local/lib/site_perl .) at /usr/share/perl5/Authen/SASL/Perl/DIGEST_MD5.pm lin

e 12.\nBEGIN failed--compilation aborted at /usr/share/perl5/Authen/SASL/Perl/DIGEST_MD5.pm line 1

2.\nCompilation failed in require at (eval 25) line 1.

11.01.23 14:42:38 ***@jabber.sk

11.01.23 14:42:38 authorization failed: error not-authorized

 

With both libs:
11.01.24 15:15:11 loaded 82 contexts

11.01.24 15:15:11 loaded 1 monkeys

11.01.24 15:15:11 Version string '0.13-server' contains invalid data; ignoring: '-server' at /usr/

lib/perl/5.10/DynaLoader.pm line 219.

11.01.24 15:15:11 Version string '0.13-server' contains invalid data; ignoring: '-server' at /usr/

lib/perl/5.10/DynaLoader.pm line 219.

11.01.24 15:15:11 Use of uninitialized value in subroutine entry at /usr/share/perl5/XML/Stream.pm

 line 2081.

11.01.24 15:15:11 ***@jabber.sk

11.01.24 15:15:11 authorization failed: error no-mechanism

 

With only libdigest-hmac-perl:

11.01.24 15:21:50 loaded 82 contexts

11.01.24 15:21:50 loaded 1 monkeys

11.01.24 15:21:50 Can't locate Authen/SASL/Cyrus.pm in @INC (@INC contains: /etc/perl /usr/local/l

ib/perl/5.10.0 /usr/local/share/perl/5.10.0 /usr/lib/perl5 /usr/share/perl5 /usr/lib/perl/5.10 /us

r/share/perl/5.10 /usr/local/lib/site_perl .) at (eval 23) line 3.

11.01.24 15:21:51 ***@jabber.sk

11.01.24 15:21:51 authorization failed: error not-authorized

Related issues:

Related to Orangutan - Support #1749: Regards Support Issue #1572 Closed 16 May 2011 11 Mar 2012

History

#1 - 26 Jan 2011 17:53 - Andriy Lesyuk

- Status changed from Open to In Progress

Could not reproduce at the moment...

#2 - 26 Jan 2011 17:54 - Andriy Lesyuk

- % Done changed from 0 to 50

Martin reported that it does not work with jabber.me.uk... My copy of Orangutan does work...

#3 - 26 Jan 2011 22:19 - Andriy Lesyuk

- % Done changed from 50 to 100

- Status changed from In Progress to Won't Fix

#4 - 24 Feb 2011 19:47 - Andriy Lesyuk

- Due date set to 24 Feb 2011
